@echo off

REM
REM	Quick and dirty script to run NuSMV on every model in a directory.
REM

REM Delete the old outputs -- sorry MiZo, I'm afraid of the old data.
del measurement_raw.txt
del measurement.txt

for %%i in (*.smv) do (
	REM Just some info
	echo =============================================================    >> measurement_raw.txt
	echo !!! Model: %%i >> measurement_raw.txt
	echo !! Currently measuring: %%i 
	
	REM It's time to measure!
	start cmd /c "nusmv -dynamic -df -dcx -source nusmvscript.script %%i 1>> measurement_raw.txt 2>&1"
	REM Waiting for finishing the execution (1200 s = 20 min)
	timeout /t 1200
	REM kill the NuSMV after timeout
	taskkill /im nusmv.exe /f
	REM Wait for locks to get removed
	timeout /t 60
)

REM Writing "header" in the output file
echo NUSMV MEASUREMENTS FOR THE CAV PAPER, started at: > measurement.txt
date /t >> measurement.txt
time /t >> measurement.txt

REM Deleting the noise from the output file.
findstr /V /B "***" measurement_raw.txt > temp.txt
REM Removing empty lines
findstr /V /R /c:"^$" temp.txt >> measurement.txt
del temp.txt